#!/usr/bin/env node

/**
 * @file Build this project.
 */

var appContrib = require('apeman-tmpl-contrib-official/lib/app_contrib'),
    path = require('path');

var basedir = path.resolve(__dirname, '..'),
    pkg = require('../package.json');

process.chdir(basedir);


appContrib.render({
    pkg: pkg,
    ignore: [],
    year: new Date().getFullYear(),
    get signature() {
        try {
            return require('../.signature');
        } catch (e) {
            return null;
        }
    },
    see: {
        'serve-static': 'https://www.npmjs.com/package/serve-static'
    }

}, function (err) {
    if (err) {
        console.error(err);
    } else {
        console.log('Build done!');
    }
});
