/**
 * @file Define apeman-app-contrib-servestatic app.
 */

"use strict";

var argx = require('argx'),
    path = require('path'),
    serveStatic = require('serve-static'),
    objnest = require('objnest');

/** @lends apemanAppContribServestatic */
function apemanAppContribServestatic(root, options) {
    var args = argx(arguments);
    root = args.shift('array|string');
    options = objnest.expand(args.pop('object') || {});
    root = [].concat(root).concat(args.remain()).reduce(function(a,b){
        return [].concat(a).concat(b);
    }, []);

    if (root.length === 0) {
        throw new Error('root is required.');
    }

    var basedir = options.basedir || process.cwd();

    return root.map(function (root) {
        root = path.resolve(basedir, root);
        return serveStatic(root, options);
    });
}

module.exports = apemanAppContribServestatic;
